@import url("https://fonts.googleapis.com/css2?family=Inter:wght@300;400;700;800;900&family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=Poppins:wght@600;700&display=swap");

:root {
  --blue: #3ec1d3;
  --white: #ffffff;
  --beige: #f6f7d7;
  --orange: #fd9c63;
}

body {
  font-family: "Inter", sans-serif;
}

.container__cart {
  display: flex;
  flex-direction: column;
  padding: 10px;
}
/*  welcome carrello */
.title {
  font-weight: 600;
  font-size: 1.6rem;
  padding: 2rem;
  display: flex;
  flex-direction: row;
  justify-content: center;
}
h2 {
  text-align: center;
}
.linkpage {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}
.menu > a {
  cursor: pointer;
}
.menu > a:hover {
  cursor: pointer;
  font-size: 1.125rem;
}
.addMinus {
  display: flex;
  flex-direction: row;
  align-items: center;
  text-align: center;
}
.linkpage > button {
  outline: none;
  text-align: center;
  appearance: none;
  border: none;
  text-decoration: none;
  cursor: pointer;
  border-radius: 5px;
  color: #212529;
  background-color: #e2e6ea;
  padding: 5px 10px;
  margin: 10px;
  box-shadow: 0 0 0 0.2rem rgb(216 217 219 / 50%);
}
/* totale */
.totale {
  padding: 0.6rem;
  text-align: center;
}

/*  product item */

#img > img {
  width: 100px;
}
.prodottoItem {
  position: relative;
  margin-top: 0.6rem;
  height: 160px;
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  align-items: center;
  border: 1px solid rgba(0, 0, 0, 0.1);
  padding: 10px;
  border-radius: 12px;
}

.deleteBtn {
  position: absolute;
  top: 0.625rem;
  right: 1.25rem;
  background: none;
  color: inherit;
  border: none;
  padding: 0;
  font: inherit;
  cursor: pointer;
  outline: inherit;
}
.deleteBtn:hover {
  font-size: 20px;
}
#img {
  width: 6.25rem;
}
#descrizioneProdottoItem {
  width: 20rem;
}
#prezzoSpedizione {
  width: 2rem;
}

.prodottoItem div span {
  font-weight: 800;
}
.btn {
  outline: none;
  text-align: center;
  appearance: none;
  border: none;
  text-decoration: none;
  cursor: pointer;
  border-radius: 5px;
  color: #212529;
  background-color: #e2e6ea;
  padding: 5px 10px;
  margin: 10px;
  box-shadow: 0 0 0 0.2rem rgb(216 217 219 / 50%);
}

/* responsive */

@media only screen and (max-width: 600px) {
  .prodottoItem {
    height: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  .addMinus {
    display: flex;
    flex-direction: row;
    align-items: center;
    text-align: center;
  }
  .prodottoItem div {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    margin-top: 0.3rem;
    margin-bottom: 0.3rem;
  }
  .deleteBtn {
    position: absolute;
    top: 0.625rem;
    right: 1.25rem;
  }
}
